haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.Properties

Synopsis

- genInterfaceProperties :: Name -> Interface -> CodeGen e ()
- genObjectProperties :: Name -> Object -> CodeGen e ()
- genNamespacedPropLabels :: Name -> [Property] -> [Method] -> CodeGen e ()

# Documentation

genInterfaceProperties :: Name -> Interface -> CodeGen e () Source #

genObjectProperties :: Name -> Object -> CodeGen e () Source #

genNamespacedPropLabels :: Name -> [Property] -> [Method] -> CodeGen e () Source #

Generate gtk2hs compatible attribute labels (to ease porting). These are namespaced labels, for examples `widgetSensitive`. We take the list of methods, since there may be name clashes (an example is Auth::is_for_proxy method in libsoup, and the corresponding Auth::is-for-proxy property). When there is a clash we give priority to the method.